termonad-4.0.0.1: Terminal emulator configurable in Haskell

Safe Haskell | None
Language | Haskell2010

Termonad.Gtk

Synopsis

- objFromBuildUnsafe :: GObject o => Builder -> Text -> (ManagedPtr o -> o) -> IO o
- appNew :: (HasCallStack, MonadIO m, MonadFail m) => Maybe Text -> [ApplicationFlags] -> m Application
- widgetEq :: (MonadIO m, IsWidget a, IsWidget b) => a -> b -> m Bool

# Documentation

objFromBuildUnsafe :: GObject o => Builder -> Text -> (ManagedPtr o -> o) -> IO o Source #

appNew Source #

Arguments

:: (HasCallStack, MonadIO m, MonadFail m) |
=> Maybe Text | The application name. Must have a period in it if specified. If passed as `Nothing`, then no application name will be used.
-> [ApplicationFlags] |
-> m Application |

Unsafely creates a new `Application`. This calls `fail` if it cannot create the `Application` for some reason.

This can fail for different reasons, one of which being that application name does not have a period in it.

widgetEq :: (MonadIO m, IsWidget a, IsWidget b) => a -> b -> m Bool Source #

Tests to see if two GTK widgets point to the same thing. This should only happen if they are actually the same thing.